#!/bin/bash
#author:Cristiano Siqueira
#descricao:Automatiza a instalação do TEF no caixa.
#Revisao:

user=`whoami`
if [[ $user == "root" ]]; then
	echo "Iniciando instalação do TEF no caixa."
	sleep 3
	    apt-get update

	echo "Instalando CURL."
	sleep 2
	    apt-get install curl nmap bc netcat

	echo "Liberando pacotes para prevenção de erros."
	sleep 2
	    apt-mark unhold python-sqlalchemy
	    apt-mark unhold python-sqlalchemy-doc
	    apt-mark unhold python-sqlalchemy-ext
	    apt-mark unhold python-elixir
	    apt-mark unhold python-serial

	echo "Descompactando arquivo de instalação."
	sleep 2
	    unzip tef1.0.zip
	    dpkg -i tef1.0.deb

	echo "Dando permissões e copiando arquivo para a pasta designada."
	sleep 2
	    chmod 777 chmod wnbmonitor
	    cp wnbmonitor /usr/bin/

	echo "Deletando arquivos desnecessários."
	sleep 2
	    rm -rf /etc/wnbtlscli.old
	    rm -rf /etc/wnbtlscli
	    rm -rf /var/log/wnb.old
	    rm -rf /var/log/wnb

	echo "Copiando bibliotecas."

	sleep 2
	    ls -lha /usr/local/sigpdv/sigtef/

	    rm -rf /usr/local/sigpdv/sigtef/lib
	    rm -rf /usr/local/sigpdv/sigtef/lib_x86_64

	sleep 2
	    ls -lha /usr/local/sigpdv/sigtef/

	sleep 3
	    unzip libs_tef_7.0_att.zip
	    cp -r lib_x86_64 /usr/local/sigpdv/sigtef/
	    cp -r lib /usr/local/sigpdv/sigtef/
	sleep 3
	    rm -rf lib_x86_64
	    rm -rf lib
	    rm -rf tef1.0.deb
	    rm -rf wnbmonitor

	sleep 2
	    ls -lha /usr/local/sigpdv/sigtef/

	echo "Será necessário a key do TEF para registrar o caixa."
	echo "Copie a key da SkyTef para poder registrar o caixa."
	sleep 3

	echo "Iniciando atualização do TEF e iniciando processo de registro do caixa."
	    unzip tef2.0.zip
	    chmod 777 wnbupdate-amd64
	    ./wnbupdate-amd64 -i

	echo "Habilitando serviços."
	sleep 2
	    systemctl enable wnbmonitor
	    systemctl enable wnbtlscli
	    rm -rf wnbupdate-amd64

	echo "Iniciando serviços."
	sleep 2
	    systemctl start wnbmonitor
	    systemctl start wnbtlscli

	echo "Fechando pacotes."
	sleep 2
	    apt-mark hold python-sqlalchemy
	    apt-mark hold python-sqlalchemy-doc
	    apt-mark hold python-sqlalchemy-ext
	    apt-mark hold python-elixir
	    apt-mark hold python-serial

	echo "Configure o (pdvconfig.cfg) com o numero da loja e o IP 127.0.0.1."
	echo "Siga o Exemplo a baixo:"
	echo " "
	echo "[Tef]"
	echo "empresa = 00017542"
	echo "qtdvias = 2"
	echo "servidor = 127.0.0.1"
	echo " "
	echo " = = Não se esqueça de verificar se o Pinpad está comunicando normalmente. = = "
	echo " = = Abrindo arquivo (pdvconfig.cfg) para ser alterado. = = "
	sleep 6
	    vi /usr/local/sigpdv/pdvconfig.cfg

	    clear
	echo "Confirmando dados salvos no (pdvconfig.cfg)"
	echo " "
	    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^192: | cut -d: -f2
	    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^191: | cut -d: -f2
	    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^190: | cut -d: -f2
	echo "Se algo estiver errado, abra o pdvconfig e corrija."
	echo " "

	sleep 4

	echo " "
	echo " "
	echo " = = Abra o Frente e envie a carga forçada para o Pinpad. = = "
	echo " "
	echo " "
	echo "                          ---------"
	echo "                          |  FIM  |"
	echo "                          ---------"
	echo " "

	sleep 3
	exit

else
	clear
	echo "Execute este aplicatvo em usuário Root, por favor."
	sleep 3
	exit
fi
